Page MenuHomePhabricator

Error undeleting revdeleted image [[:File:College_Guide_Cover_no_date.png]] on enwiki
Closed, ResolvedPublic

Description

At https://en.wikipedia.org/wiki/File:College_Guide_Cover_no_date.png, we received an OTRS ticket from the copyright holder granting a license for this image. So I wanted to remove revdelete from the original January 19 upload and revert to that version.

I am an admin and so I see a blue struck out link where it says "02:06, 19 January 2015" and "01:34, 19 January 2015" that I can click on and am able to view the image. So we know that the file hasn't been lost. (That's how I retrieved the file to re-upload it.)

But if I hit the "del/undelete" button, uncheck "Delete file content", and enter the reason "OTRS permission was submitted - no need for the smaller version", then I get the error "[67f86f32] 2015-04-25 12:58:51: Fatal exception of type DBUnexpectedError".

Event Timeline

B created this task.Apr 25 2015, 12:59 PM
B updated the task description. (Show Details)
B raised the priority of this task from to Needs Triage.
B added a subscriber: B.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2015, 12:59 PM
B set Security to None.Apr 25 2015, 12:59 PM
B renamed this task from Error undeleting revdeleted image on enwiki to Error undeleting revdeleted image [[:File:College_Guide_Cover_no_date.png]] on enwiki.

It is possible to reproduce this error on a local wiki:

Attempted to start explicit transaction when atomic levels are still open

Backtrace:

 #0 \includes\filerepo\LocalRepo.php(93): DatabaseBase->begin(string)
 #1 \includes\revisiondelete\RevDelFileList.php(101): LocalRepo->cleanupDeletedBatch(array)
 #2 \includes\revisiondelete\RevDelList.php(192): RevDelFileList->doPreCommitUpdates()
 #3 \includes\specials\SpecialRevisiondelete.php(663): RevDelList->setVisibility(array)
 #4 \includes\specials\SpecialRevisiondelete.php(589): SpecialRevisionDelete->save(array, string, Title)
 #5 \includes\specials\SpecialRevisiondelete.php(197): SpecialRevisionDelete->submit(WebRequest)
 #6 \includes\specialpage\SpecialPage.php(384): SpecialRevisionDelete->execute(NULL)
 #7 \includes\specialpage\SpecialPageFactory.php(582): SpecialPage->run(NULL)
 #8 \includes\MediaWiki.php(267): SpecialPageFactory::executePath(Title, RequestContext)
 #9 \includes\MediaWiki.php(566): MediaWiki->performRequest()
 #10 \includes\MediaWiki.php(414): MediaWiki->main()
 #11 \index.php(46): MediaWiki->run()
 #12 {main}

Change 206646 had a related patch set uploaded (by Aaron Schulz):
Fixed transaction error undeleted revdeleted files

https://gerrit.wikimedia.org/r/206646

Aklapper triaged this task as High priority.Apr 27 2015, 9:32 AM

Change 206646 merged by jenkins-bot:
Fixed transaction error while undeleting revdeleted files

https://gerrit.wikimedia.org/r/206646

Umherirrender closed this task as Resolved.May 11 2015, 6:56 PM
Umherirrender claimed this task.